Bug 974203 - oo-accept-node should detect V1 cartridge directories in gears
oo-accept-node should detect V1 cartridge directories in gears
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 12:09 EDT by Paul Morie
Modified: 2015-05-14 19:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 10:54:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Morie 2013-06-13 12:09:14 EDT
The oo-accept-node tool should detect the presence of V1 cartridge directories in gears to ensure that no V1 -> V2 cartridge migrations were skipped.  This check should only run when upgrade checks are included.
Comment 1 openshift-github-bot 2013-06-13 13:30:04 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/303d190915427512b0240d2eccc8000ad890f70d
Fix bug 974203: add checks for V1 cartridge directories in gears
Comment 2 Paul Morie 2013-06-13 14:04:24 EDT
Will be in devenv 3358
Comment 3 Xiaoli Tian 2013-06-14 06:25:16 EDT
Tested this  bug on devenv_3660:

Add a v1 cartridge directory into a v2 app to simulate v1 cartridge:

[root@ip-10-194-25-230 phpv2-domx1]# ls -lh
total 16K
drwxr-xr-x.  4 root                     263432635838294241837056 4.0K Jun 14 06:13 app-root
drwxr-xr-x.  3 root                     root                     4.0K Jun 14 06:14 git
drwxr-xr-x. 14 263432635838294241837056 263432635838294241837056 4.0K Jun 14 06:14 php
drwxr-xr-x. 14 263432635838294241837056 263432635838294241837056 4.0K Jun 14 06:16 php-5.3



Add a v1 cartridge symlink into a v2 app to simulate a app migrated from v1 to v2:

[root@ip-10-194-25-230 rubyapp-domx1]# ls -lh
total 12K
drwxr-xr-x.  4 root                     311378562301222535036928 4.0K Jun 14 06:18 app-root
drwxr-xr-x.  3 root                     root                     4.0K Jun 14 06:19 git
drwxr-xr-x. 13 311378562301222535036928 311378562301222535036928 4.0K Jun 14 06:21 ruby
lrwxrwxrwx.  1 root                     root                        4 Jun 14 06:20 ruby-1.9 -> ruby


[root@ip-10-194-25-230 rubyapp-domx1]# oo-accept-node --include-upgrade-checks 
FAIL: directory 263432635838294241837056 contains a V1 cartridge directory
1 ERRORS

Note You need to log in before you can comment on or make changes to this bug.